> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-consent-url-fix.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Appointment Details

> 

### Overview
This API endpoint is used to retrieve the details of an appointment using its unique identifier. The response includes comprehensive information about the appointment, including patient and doctor details, appointment status, and related services.


### Appointment_statuses:

      Booked / Queue States:
        - BK (Booked) : Appointment created/confirmed.
        - CK (Checked-in) : Booked appointment added to the Queue (Checked-in).
        - RV (Reserved) : Appointment marked as Reserved, when patient said they will come for the appointment on the follow-up appointment message.
        - IN (Initiated) : Appointment marked as Initiated, when patient received follow-up appointment message.
        - PA  (Parked) : Appointment moved to Parked state.

      Ongoing States:
        - OG (Ongoing): Consultation is in progress.

      Completion Statuses:
        - CM (Completed): Appointment completed with a prescription created.
        - CMNP (Completed No Prescription) : Appointment marked Exit from Queue / Completed without a prescription.
        - AB (Aborted) : Appointment was started (Start Visit) but not completed. Automatically marked AB at 12:00 AM next day.
        - NS (No Show) : Appointment was added to Queue but not started/completed. Automatically marked NS at 12:00 AM next day.
        - NSD (No Show Doctor) : No-show tagged specifically from a doctor’s action (if implemented).
        - NSS (No Show Staff) : No-show tagged specifically from a staff action (if implemented).

      Cancellation Statuses:
        - CN (Cancelled) : Appointment cancelled via API.
        - CND (Cancelled Doctor) : Cancelled from the doctor’s account in the tool.
        - CNS (Cancelled Staff) : Cancelled from the staff’s account in the tool.
        - PC (Provisional Cancelled) : Appointment marked as provisional cancellation, when patient said they will not come for the appointment on the follow-up appointment message.
        - PNR (Payment Not Received) : Appointment marked as PNR, when patient tried paying for a pre-paid appointment but the payment failed.

      Reschedule Statuses:
        - RE : Rescheduled via API.
        - RES : Rescheduled from staff account.
        - RED : Rescheduled from doctor account.



## OpenAPI

````yaml get /dr/v1/appointment/{appointment_id}
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/appointment/{appointment_id}:
    get:
      tags:
        - Appointment API
      summary: Get Appointment Details
      description: >-


        ### Overview

        This API endpoint is used to retrieve the details of an appointment
        using its unique identifier. The response includes comprehensive
        information about the appointment, including patient and doctor details,
        appointment status, and related services.



        ### Appointment_statuses:

              Booked / Queue States:
                - BK (Booked) : Appointment created/confirmed.
                - CK (Checked-in) : Booked appointment added to the Queue (Checked-in).
                - RV (Reserved) : Appointment marked as Reserved, when patient said they will come for the appointment on the follow-up appointment message.
                - IN (Initiated) : Appointment marked as Initiated, when patient received follow-up appointment message.
                - PA  (Parked) : Appointment moved to Parked state.

              Ongoing States:
                - OG (Ongoing): Consultation is in progress.

              Completion Statuses:
                - CM (Completed): Appointment completed with a prescription created.
                - CMNP (Completed No Prescription) : Appointment marked Exit from Queue / Completed without a prescription.
                - AB (Aborted) : Appointment was started (Start Visit) but not completed. Automatically marked AB at 12:00 AM next day.
                - NS (No Show) : Appointment was added to Queue but not started/completed. Automatically marked NS at 12:00 AM next day.
                - NSD (No Show Doctor) : No-show tagged specifically from a doctor’s action (if implemented).
                - NSS (No Show Staff) : No-show tagged specifically from a staff action (if implemented).

              Cancellation Statuses:
                - CN (Cancelled) : Appointment cancelled via API.
                - CND (Cancelled Doctor) : Cancelled from the doctor’s account in the tool.
                - CNS (Cancelled Staff) : Cancelled from the staff’s account in the tool.
                - PC (Provisional Cancelled) : Appointment marked as provisional cancellation, when patient said they will not come for the appointment on the follow-up appointment message.
                - PNR (Payment Not Received) : Appointment marked as PNR, when patient tried paying for a pre-paid appointment but the payment failed.

              Reschedule Statuses:
                - RE : Rescheduled via API.
                - RES : Rescheduled from staff account.
                - RED : Rescheduled from doctor account.
      operationId: GetappointmentDetails
      parameters:
        - name: auth
          in: header
          description: ''
          required: true
          style: simple
          schema:
            type: string
            example: auth
        - name: appointment_id
          in: path
          description: ''
          required: true
          style: simple
          schema:
            type: string
        - name: partner_id
          in: query
          description: >-
            If set to 1 then appointment_id in path parameter should be
            partner_appointment_id else eka apppointment_id
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: '1'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
              example: Sun, 12 Apr 2020 11:09:57 GMT
            Content-Length:
              schema:
                type: string
              example: '377'
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: nginx/1.10.3 (Ubuntu)
            Vary:
              schema:
                type: string
              example: Cookie, Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15768000
          content:
            application/json:
              schema:
                type: object
                properties:
                  appointment_id:
                    type: string
                  created_at:
                    type: integer
                  doctor_id:
                    type: string
                  patient_id:
                    type: string
                  clinic_id:
                    type: string
                  channel:
                    type: string
                  status:
                    type: string
                    example: BK
                    enum:
                      - BK
                      - OG
                      - CM
                      - CMNP
                      - CN
                      - CND
                      - CNS
                  mode:
                    type: string
                    example: in_clinic
                    enum:
                      - tele
                      - in_clinic
                  start_time:
                    type: integer
                  end_time:
                    type: integer
                  payment:
                    type: object
                    properties:
                      payment_id:
                        type: string
                        nullable: true
                      payment_status:
                        type: string
                        nullable: true
                      amount:
                        type: number
                        nullable: true
                  prescription_id:
                    type: string
                  service:
                    type: object
                    properties:
                      created_at:
                        type: integer
                      mode:
                        type: array
                        items:
                          type: string
                      price:
                        type: number
                        nullable: true
                      post_pay:
                        type: boolean
                      service_name:
                        type: string
                      book_ahead_days:
                        type: integer
                      appointment_type:
                        type: string
                      allow_patient_booking:
                        type: boolean
                  prescription_url:
                    type: string
                  custom_attributes:
                    type: object
                  partner_meta:
                    type: object
                example:
                  appointment_id: '{{eka_appointment_id}}'
                  partner_appointment_id: '{{partner_appointment_id}}'
                  created_at: 1730189586
                  doctor_id: '{{doctor_id}}'
                  clinic_id: '{{clinic_id}}'
                  patient_id: '{{patient_id}}'
                  partner_doctor_id: '{{partner_doctor_id}}'
                  partner_clinic_id: '{{partner_clinic_id}}'
                  partner_patient_id: '{{partner_patient_id}}'
                  status: CM
                  mode: in_clinic
                  start_time: 1730189586
                  end_time: 1730189586
                  payment:
                    payment_id: null
                    payment_status: null
                    amount: null
                  prescription_id: '{{prescription_id}}'
                  service:
                    created_at: 1730189586
                    mode:
                      - INCLINIC
                    price: null
                    post_pay: false
                    service_name: consultation
                    appointment_type: REGULAR
                    allow_patient_booking: true
                  prescription_url: https://prescription-store-s3.eka.care/P-DW-1234.pdf
                  custom_attributes:
                    label:
                      - vitals_submitted
                  partner_meta:
                    key1: value1
        '400':
          description: Bad Request
          headers:
            Date:
              schema:
                type: string
              example: Sun, 12 Apr 2024 11:10:57 GMT
            Content-Length:
              schema:
                type: string
              example: '152'
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: INVALID_REQUEST_PARAMETERS
                  message: The request contains invalid parameters
        '403':
          description: Forbidden
          headers:
            Date:
              schema:
                type: string
              example: Sun, 12 Apr 2024 11:11:57 GMT
            Content-Length:
              schema:
                type: string
              example: '145'
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: ACCESS_DENIED
                  message: >-
                    Access denied. You do not have permission to view this
                    appointment.
        '404':
          description: Not Found
          headers:
            Date:
              schema:
                type: string
              example: Sun, 12 Apr 2024 11:12:57 GMT
            Content-Length:
              schema:
                type: string
              example: '126'
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: NOT_FOUND
                  message: >-
                    Appointment not found. Please check the provided appointment
                    ID.
        '500':
          description: Internal Server Error
          headers:
            Date:
              schema:
                type: string
              example: Sun, 12 Apr 2024 11:13:57 GMT
            Content-Length:
              schema:
                type: string
              example: '158'
            Connection:
              schema:
                type: string
              example: keep-alive
            Server:
              schema:
                type: string
              example: nginx/1.10.3 (Ubuntu)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
              example:
                error:
                  code: SERVER_ERROR
                  message: >-
                    An unexpected error occurred while processing your request.
                    Please try again later.
      deprecated: false

````